Pular para o conteúdo

/api/v1/datagrid-columns (POST)

POST
/api/v1/datagrid-columns
curl --request POST \
--url https://api.endless.zaia.app/api/v1/datagrid-columns \
--header 'Content-Type: application/json' \
--data '{ "datagridId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "description": "example", "detail": { "semanticSearch": true, "type": "string" }, "name": "example" }'

Creates a new datagrid column.

Media typeapplication/json
object
datagridId
required

The datagrid ID associated with the column.

string format: uuid
description
required

The description of the column. Will be used by the agent to understand how to interact with it.

string
>= 3 characters <= 250 characters
detail
required
Any of:
object
semanticSearch
required
boolean
type
required
string
Allowed values: string
name
required

The display name of the datagrid column.

string
>= 3 characters <= 50 characters

The datagrid column was created.

Media typeapplication/json
object
createdAt
required
string format: date-time
id
required

A UUID v4 string that identifies an entity.

string format: uuid
updatedAt
required
string format: date-time
datagridId
required

The datagrid ID associated with the column.

string format: uuid
description
required

The description of the column. Will be used by the agent to understand how to interact with it.

string
>= 3 characters <= 250 characters
detail
required
Any of:
object
semanticSearch
required
boolean
type
required
string
Allowed values: string
name
required

The display name of the datagrid column.

string
>= 3 characters <= 50 characters
Example
{
"detail": {
"type": "string"
}
}

Invalid datagrid column configuration.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Unauthorized.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Datagrid not found.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Precondition failed.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}